Package com.microblink.blinkid.uisettings

# Class BlinkIdUISettings

java.lang.Object
com.microblink.blinkid.uisettings.UISettings<BlinkIdOverlayController>
com.microblink.blinkid.uisettings.BaseBlinkIdUiSettings
com.microblink.blinkid.uisettings.BlinkIdUISettings

All Implemented Interfaces:
  `BackSideScanningTimeoutUIOptions`, `BeepSoundUIOptions`, `CurrentImageListenerUIOptions`, `DebugImageListenerUIOptions`, `DocumentDataMatchUIOptions`, `DocumentNotSupportedDialogUIOptions`, `FlashlightWarningUIOptions`, `HighResSuccessFrameCaptureUIOptions`, `MrzDetectionUIOptions`, `OcrResultDisplayUIOptions`, `ScanUIEventListenerUIOptions`, `SplashScreenUIOptions`, `StringsUIOptions<ReticleOverlayStrings>`, `StyleUIOptions`

public class BlinkIdUISettings extends BaseBlinkIdUiSettings implements StringsUIOptions<ReticleOverlayStrings>, StyleUIOptions, FlashlightWarningUIOptions

- ## Field Summary

  ### Fields inherited from interface com.microblink.blinkid.uisettings.options.BackSideScanningTimeoutUIOptions

  `TIMEOUT_INFINITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlinkIdUISettings(android.content.Intent intent)`
  `BlinkIdUISettings(RecognizerBundle recognizerBundle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected BlinkIdOverlayView`
  `createOverlayView()`
  `protected boolean`
  `getShowFlashlightWarning()`
  `protected ReticleOverlayStrings`
  `getStrings()`
  `protected int`
  `getStyle()`
  `Class<?>`
  `getTargetActivity()`
  Returns target activity.
  `protected boolean`
  `isLockedToPortrait()`
  `void`
  `setAllowHapticFeedback(boolean allowHapticFeedback)`
  Defines whether haptic feedback (vibration) is activated when state of the recognizer during scanning changes.
  `void`
  `setOverlayViewStyle(int styleResourceID)`
  Provide your own style to replace default icons and colors.
  `void`
  `setShowCancelButton(boolean showCancelButton)`
  Defines whether exit (cancel) button used for cancelling the scan is shown on the screen during the scanning session.
  `void`
  `setShowFlashlightWarning(boolean showFlashlightWarning)`
  Defines whether flashlight warning will be displayed in UI, when flashlight is turned ON.
  `void`
  `setShowIntroductionDialog(boolean showIntroductionDialog)`
  Defines whether introduction dialog containing instruction messages and images is shown at the beginning of the scanning session.
  `void`
  `setShowMandatoryFieldsMissing(boolean showMandatoryFieldsMissing)`
  Defines whether document specific mandatory fields that are not visible to the recognizer are being written out in the instruction tooltip.
  `void`
  `setShowOnboardingInfo(boolean showOnboardingInfo)`
  Defines whether onboarding dialog containing recognizer specific instruction messages and images is shown at the press of a help button.
  `void`
  `setShowTorchButton(boolean showTorchButton)`
  Defines whether torch button used for turning the flashlight on and off is shown on the screen during the scanning session.
  `void`
  `setStrings(ReticleOverlayStrings strings)`
  Sets strings that will be used in the UI.

  ### Methods inherited from class com.microblink.blinkid.uisettings.BaseBlinkIdUiSettings

  `createOverlayController, enableHighResSuccessFrameCapture, getShowTooltipTimeIntervalMs, saveToIntent, setBackSideScanningTimeoutMs, setBeepSoundResourceID, setCurrentImageListener, setDebugImageListener, setDocumentDataMatchRequired, setOcrResultDisplayMode, setScanUIEventListener, setShowMrzDetection, setShowNotSupportedDialog, setShowTooltipTimeIntervalMs, setSplashScreenLayoutResourceID`

  ### Methods inherited from class com.microblink.blinkid.uisettings.UISettings

  `getActivityTheme, getFilterTouchesWhenObscured, getUsingFlagSecure, setActivityTheme, setCameraSettings, setFilterTouchesWhenObscured, setUsingFlagSecure`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BlinkIdUISettings

    public BlinkIdUISettings(@Nullable RecognizerBundle recognizerBundle)

  - ### BlinkIdUISettings

    public BlinkIdUISettings(@NonNull android.content.Intent intent)

- ## Method Details

  - ### isLockedToPortrait

    protected boolean isLockedToPortrait()
    Specified by:
      `isLockedToPortrait` in class `BaseBlinkIdUiSettings`

  - ### setOverlayViewStyle

    public void setOverlayViewStyle(@StyleRes int styleResourceID)
    Provide your own style to replace default icons and colors. Supports attributes from R.styleable.BlinkIdReticleOverlay
    Specified by:
      `setOverlayViewStyle` in interface `StyleUIOptions`
    Parameters:
      `styleResourceID` - your style

  - ### getStyle

    @StyleRes protected int getStyle()

  - ### setStrings

    public void setStrings(@NonNull ReticleOverlayStrings strings)
    Description copied from interface: `StringsUIOptions`
    Sets strings that will be used in the UI.
    Specified by:
      `setStrings` in interface `StringsUIOptions<ReticleOverlayStrings>`

  - ### getStrings

    @Nullable protected ReticleOverlayStrings getStrings()

  - ### setShowFlashlightWarning

    public void setShowFlashlightWarning(boolean showFlashlightWarning)
    Description copied from interface: `FlashlightWarningUIOptions`
    Defines whether flashlight warning will be displayed in UI, when flashlight is turned ON. Default is `true`.
    Specified by:
      `setShowFlashlightWarning` in interface `FlashlightWarningUIOptions`
    Parameters:
      `showFlashlightWarning` - whether flashlight warning will be displayed in UI.

  - ### getShowFlashlightWarning

    protected boolean getShowFlashlightWarning()

  - ### setShowOnboardingInfo

    public void setShowOnboardingInfo(boolean showOnboardingInfo)
    Defines whether onboarding dialog containing recognizer specific instruction messages and images is shown at the press of a help button. Also defines whether help button is shown or not. Default is `true`.
    Parameters:
      `showOnboardingInfo` - whether onboarding dialog and help button are shown

  - ### setShowIntroductionDialog

    public void setShowIntroductionDialog(boolean showIntroductionDialog)
    Defines whether introduction dialog containing instruction messages and images is shown at the beginning of the scanning session. Default is `false`.
    Parameters:
      `showIntroductionDialog` - whether introduction dialog is shown

  - ### setShowTorchButton

    public void setShowTorchButton(boolean showTorchButton)
    Defines whether torch button used for turning the flashlight on and off is shown on the screen during the scanning session. Default is `true`.
    Parameters:
      `showTorchButton` - whether torch button is shown

  - ### setShowCancelButton

    public void setShowCancelButton(boolean showCancelButton)
    Defines whether exit (cancel) button used for cancelling the scan is shown on the screen during the scanning session. Default is `true`.
    Parameters:
      `showCancelButton` - whether exit (cancel) button is shown

  - ### setShowMandatoryFieldsMissing

    public void setShowMandatoryFieldsMissing(boolean showMandatoryFieldsMissing)
    Defines whether document specific mandatory fields that are not visible to the recognizer are being written out in the instruction tooltip. Setting this to `false` will print out a generic message about document not being fully visible. If more than two mandatory fields are not visible, generic message is shown regardless of this setting. Default is `false`.
    Parameters:
      `showMandatoryFieldsMissing` - whether real missing mandatory fields are being written

  - ### setAllowHapticFeedback

    public void setAllowHapticFeedback(boolean allowHapticFeedback)
    Defines whether haptic feedback (vibration) is activated when state of the recognizer during scanning changes. Default is `true`.
    Parameters:
      `allowHapticFeedback` - whether haptic feedback will be active during scanning

  - ### getTargetActivity

    @NonNull public Class<?> getTargetActivity()
    Description copied from class: `UISettings`
    Returns target activity. Concrete settings can be used only with the corresponding activity. This method is public for convenience when you are not able to use `ActivityRunner`. DO NOT USE THIS METHOD UNLESS YOU KNOW WHAT YOU ARE DOING. Improper usage will crash your app.
    Specified by:
      `getTargetActivity` in class `UISettings<BlinkIdOverlayController>`
    Returns:
      target activity.

  - ### createOverlayView

    @NonNull protected BlinkIdOverlayView createOverlayView()
    Specified by:
      `createOverlayView` in class `BaseBlinkIdUiSettings`